CREATE FUNCTION "DBA"."getid_pv_kanne_muuinfo"()
returns integer
begin
  declare li_return integer;
  select max(id) + 1 into li_return from pv_kanne_muuinfo;
  if li_return is null or li_return < 1 then
    set li_return=1;
    while exists(select 1 from pv_kanne_muuinfo where id = li_return) loop
      set li_return=li_return+1
    end loop
  end if;
  return(li_return)
end